#
# spec file for package kde4-webkitpart (Version 4.3.0.svn1055873)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kde4-webkitpart
BuildRequires:  Mesa-devel cups-devel glew-devel kdebase4-workspace-devel libQtWebKit-devel sqlite-devel
License:        LGPLv2.0+ ; LGPLv2.1+
Group:          System/GUI/KDE
Summary:        WebKit render engine for Konqueror
Version:        4.3.0.svn1055873
Release:        0.1.4
Source0:        webkitkde-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       libkdenetwork1 = 4.3.0.svn1001692-36.1
Obsoletes:      libkdenetwork1 < 4.3.0.svn1001692-36.1
%kde4_runtime_requires

%description
A HTML kparts component based on WebKit



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
License:        LGPLv2.0+ ; LGPLv2.1+
Group:          System/GUI/KDE
Summary:        WebKit render engine for Konqueror
Requires:       kde4-webkitpart = %version
Provides:       libkdenetwork-devel = 4.3.0.svn1001692-36.1
Obsoletes:      libkdenetwork-devel < 4.3.0.svn1001692-36.1

%description devel
A HTML kparts component based on WebKit



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n webkitkde-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  pushd build
  %makeinstall
  popd
  %kde_post_install
  %find_lang webkitkde webkitkde.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f webkitkde.lang
%defattr(-,root,root)
%_kde4_modules/kwebkitpart.so
%_libdir/libkwebkit.so.*
%_libdir/libkdewebkit.so.*
%_kde_share_dir/apps/webkitpart
%_kde_share_dir/services/webkitpart.desktop
/usr/share/icons/hicolor/*/apps/webkit.*

%files devel
%defattr(-,root,root)
%_libdir/libkdewebkit.so
%_libdir/libkwebkit.so
/usr/include/KDE/KWebPage
/usr/include/KDE/KWebPluginFactory
/usr/include/KDE/KWebView
%dir /usr/include/KDE/WebKitPart
/usr/include/KDE/WebKitPart/WebKitPart
/usr/include/kdewebkit_export.h
/usr/include/kwebpage.h
/usr/include/kwebpluginfactory.h
/usr/include/kwebview.h
/usr/include/webkitkde_export.h
/usr/include/webkitpart.h
%_kde_share_dir/apps/cmake/modules/FindKdeWebKit.cmake
%_kde_share_dir/apps/cmake/modules/FindWebKitPart.cmake

%changelog
* Sun Nov 29 2009 dmueller@suse.de
- upte to current SVN
* Sun Oct  4 2009 beineri@opensuse.org
- updated translations from SVN
* Mon Aug 24 2009 beineri@opensuse.org
- use createtarball script for svn snapshot, include translations
* Thu Aug 13 2009 beineri@opensuse.org
- update to SVN 1010659, workaround for the crash when leaving
  pages that contain a flash plug-in
* Tue Aug 11 2009 beineri@opensuse.org
- update to SVN 1008707, libkdenetwork part is gone again
* Mon Aug  3 2009 tittiatcoke@gmail.com
- Split off libkdenetwork part. The remaining parts of webkitpart require
  this libkdenetwork.
* Fri Jul 24 2009 beineri@opensuse.org
- update to SVN 1001692
* Wed Jun  3 2009 beineri@opensuse.org
- update to SVN 976977
* Mon May 18 2009 beineri@opensuse.org
- update file list
* Wed May 13 2009 beineri@opensuse.org
- update to SVN 967285
  * prevent crash when part is null
  * improve zoom actions behavior
  * performace optimization: create page when it is needed only
* Thu Apr 23 2009 beineri@opensuse.org
- update to SVN 958332
  * better behavior on mouse middle click
  * fix crash on deleting WebView showing page with flash
  * fix redirection
  * add the possibility to kdewebkit to block external content.
  * improve handling of download file names
* Sat Mar 21 2009 beineri@opensuse.org
- update to SVN 943033:
  * Ctrl-click should also open link in new tab
  * Add copy link location and save link to link context menu
  * Save page / frame functionality
  * Print frame functionality
* Thu Feb 19 2009 stbinner@suse.de
- update to SVN 928260
* Wed Jan  7 2009 stbinner@suse.de
- update to SVN 907112
* Fri Nov 28 2008 dmueller@suse.de
- update to SVN 889879
* Tue Sep 16 2008 dmueller@suse.de
- fix filelist
* Tue Sep  2 2008 stbinner@suse.de
- update to SVN r856106
* Sat Aug 23 2008 stbinner@suse.de
- update to SVN r851465
* Fri Jul 25 2008 stbinner@suse.de
- update to SVN r837566
* Fri Apr 25 2008 stbinner@suse.de
- initial package in abuild
